Apache 2.2 + SSPI problem

Problems with the Windows version of XAMPP, questions, comments, and anything related.

Apache 2.2 + SSPI problem

Postby lfkpoa » 13. October 2006 15:07


I was using XAMPP v. 1.4.15 with sspi authentication.
Everything was working fine.
Recently I installed a fresh XAMPP v. 1.5.4a, but sspi is not working properly.
First of all, the remote_user variable is now returning with a double backslash instead of a single backslash: MYDOMAIN\\MY_USER.
In 1.4.15, the username in "require user" was not case sensitive and now it is.
Now it's not able to authenticate users in a windows group when I use "require group".
And Apache aborts after a few requests with the following message:
"[notice] Parent: child process exited with status 3221225477 -- Restarting."
I'm using win2K server.
Please, can anybody help?


Luis Fernando
Posts: 1
Joined: 11. October 2006 21:09

Postby Izzy » 14. October 2006 02:15

Did you uncomment this line in your xampp\apache\conf\httpd.conf file as it is commented out by default:

From this:
#LoadModule sspi_auth_module modules/mod_auth_sspi.so

to this
LoadModule sspi_auth_module modules/mod_auth_sspi.so

A google for mod_auth_sspi returned some issues others have had. Might be worth a read.

I am not much help here as I have not encountered or used sspi.

Good luck!
Posts: 3344
Joined: 25. April 2006 17:06

Return to XAMPP for Windows

Who is online

Users browsing this forum: No registered users and 52 guests